AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Crt::Http::HttpResponse Class Reference

`#include <HttpRequestResponse.h>`

Inheritance diagram for Aws::Crt::Http::HttpResponse:

## Public Member Functions
| HttpResponse (Allocator *allocator=g_allocator)
Optional< int > | GetResponseCode () const noexcept
bool | SetResponseCode (int response) noexcept
Public Member Functions inherited from Aws::Crt::Http::HttpMessage
virtual | ~HttpMessage ()
| HttpMessage (const HttpMessage &)=delete
| HttpMessage (HttpMessage &&)=delete
HttpMessage & | operator= (const HttpMessage &)=delete
HttpMessage & | operator= (HttpMessage &&)=delete
std::shared_ptr< Aws::Crt::Io::InputStream > | GetBody () const noexcept
bool | SetBody (const std::shared_ptr< Aws::Crt::Io::IStream > &body) noexcept
bool | SetBody (const std::shared_ptr< Aws::Crt::Io::InputStream > &body) noexcept
size_t | GetHeaderCount () const noexcept
Optional< HttpHeader > | GetHeader (size_t index) const noexcept
bool | AddHeader (const HttpHeader &header) noexcept
bool | EraseHeader (size_t index) noexcept
| operator bool () const noexcept

## Additional Inherited Members
Protected Member Functions inherited from Aws::Crt::Http::HttpMessage
| HttpMessage (Allocator *allocator, struct aws_http_message *message) noexcept
Protected Attributes inherited from Aws::Crt::Http::HttpMessage
Allocator * | m_allocator
struct aws_http_message * | m_message
std::shared_ptr< Aws::Crt::Io::InputStream > | m_bodyStream

## Detailed Description

Class representing a mutable http response.

## Constructor & Destructor Documentation

## ◆ HttpResponse()

Aws::Crt::Http::HttpResponse::HttpResponse | ( | Allocator * | allocator = `g_allocator` | ) |

## Member Function Documentation

## ◆ GetResponseCode()

Optional< int > Aws::Crt::Http::HttpResponse::GetResponseCode | ( |  | ) | const
| noexcept

Returns
  the integral Http response code associated with this response

## ◆ SetResponseCode()

bool Aws::Crt::Http::HttpResponse::SetResponseCode | ( | int | response | ) |
| noexcept

Sets the integral Http response code associated with this response

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpRequestResponse.h
- crt/aws-crt-cpp/source/http/HttpRequestResponse.cpp